--
-- Lust_und_Laune_map
--
-- Standard-Map (Copyright (C) GIANTS Software GmbH, Confidential, All Rights Reserved). Edit by JoeSil.

Lust_und_Laune_map = {}

local Lust_und_Laune_map_mt = Class(Lust_und_Laune_map, Mission00);

function Lust_und_Laune_map:new(baseDirectory, customMt)
    local mt = customMt;
    if mt == nil then
        mt = Lust_und_Laune_map_mt;
    end;
    local self = Lust_und_Laune_map:superClass():new(baseDirectory, mt);
    return self;
end;

function Lust_und_Laune_map:delete()
    Lust_und_Laune_map:superClass().delete(self);
end;

function Lust_und_Laune_map:load()
    self.environment = Environment:new(Utils.getFilename("$data/sky/sky_day_night.i3d", self.baseDirectory), true, 8, true, true);
    
    -- load the map
    self:loadMap(Utils.getFilename("map01.i3d", self.baseDirectory));
    
    -- load paths for AI traffic vehicles
    self:loadMap(Utils.getFilename("map01/paths/trafficPaths.i3d", self.baseDirectory));
    
    -- load paths for AI pedestrians
    self:loadMap(Utils.getFilename("map01/paths/pedestrianPaths.i3d", self.baseDirectory));
        
    AnimalHusbandry.initialize();
    self:loadMap(Utils.getFilename("$data/maps/missions/CattleMeadow.i3d", self.baseDirectory));
    
    -- load the PDA map image
    self.missionPDA:loadMap(Utils.getFilename("map01/pda_map.png", self.baseDirectory));
	
	--load Glass Containers
    self:loadGlassContainers(Utils.getFilename("missions/glassContainers.i3d", self.baseDirectory));
	
	--load Bottles
    self:loadCollectableBottles(Utils.getFilename("missions/collectableBottles.i3d", self.baseDirectory));
    
    Lust_und_Laune_map:superClass().load(self);
end
function Lust_und_Laune_map:loadFinished()
    Lust_und_Laune_map:superClass().loadFinished(self);
    AnimalHusbandry.finalize();
end;

function Lust_und_Laune_map:mouseEvent(posX, posY, isDown, isUp, button)
    Lust_und_Laune_map:superClass().mouseEvent(self, posX, posY, isDown, isUp, button);
end;

function Lust_und_Laune_map:keyEvent(unicode, sym, modifier, isDown)
    Lust_und_Laune_map:superClass().keyEvent(self, unicode, sym, modifier, isDown);
end;

function Lust_und_Laune_map:update(dt)
    Lust_und_Laune_map:superClass().update(self, dt);
end;

function Lust_und_Laune_map:draw()
    Lust_und_Laune_map:superClass().draw(self);
end;
